{output}: Get compound properties by name

API: nih.gov:pubchem-property-api
Endpoint: /compound/name/{name}/property/{properties}/{output}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 430ms

Description

Retrieve chemical properties for a compound specified by its common name or IUPAC name

Parameters (3)

name (string, path, required)

Compound name (e.g., 'water', 'benzene', 'aspirin')

output (string, path, required, default: JSON)

Output format

Constraints: {'enum': ['JSON', 'XML']}

properties (string, path, required)

Comma-separated list of properties to retrieve (e.g., 'MolecularFormula,MolecularWeight,IUPACName,IsomericSMILES')

Examples (3)

Get properties by compound name openapi-spec
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/aspirin/property/MolecularFormula,MolecularWeight/JSON'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/aspirin/property/MolecularFormula,MolecularWeight/JSON")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem-property")
result = api.fetch("compound/name/{name}/property/{properties}/{output}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/aspirin/property/MolecularFormula,MolecularWeight/JSON");
const data = await resp.json();
Get compound properties by name openapi-spec
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/water/property/MolecularFormula,MolecularWeight/{output}'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/water/property/MolecularFormula,MolecularWeight/{output}")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem-property")
result = api.fetch("compound/name/{name}/property/{properties}/{output}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/water/property/MolecularFormula,MolecularWeight/{output}");
const data = await resp.json();
Get compound properties by name probe-gate
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/water/property/MolecularFormula,MolecularWeight/JSON'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/water/property/MolecularFormula,MolecularWeight/JSON")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem-property")
result = api.fetch("compound/name/{name}/property/{properties}/{output}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/water/property/MolecularFormula,MolecularWeight/JSON");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:49:14.346180 200 430ms
2026-04-16 17:16:10.472937 200 667ms
2026-04-16 01:34:47.545120 200 458ms
2026-04-16 01:23:03.868634 200 428ms
2026-04-15 01:59:36.729367 200 460ms
2026-04-15 00:06:10.211659 200 437ms
2026-04-14 01:09:46.316550 200 418ms
2026-04-14 00:30:47.385835 200 603ms
2026-04-12 16:30:36.434697 200 408ms
2026-04-12 15:51:38.365951 200 621ms
2026-04-10 01:45:06.794108 200 518ms
2026-04-10 01:13:16.766442 200 532ms
2026-04-09 01:24:05.644302 200 431ms
2026-04-09 00:53:23.530865 200 453ms
2026-03-23 10:48:06.194655 200 481ms
2026-03-23 10:18:21.249723 200 496ms